<html>
    <head>
        <style>
            .container {
                display: block;
                max-width: 300px;
                height: fit-content;
                margin-bottom: 0.625rem;
                box-shadow: rgba(0, 0, 0, 0.16) 0px 2px 2px 0px,
                    rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
                border-radius: 0.625rem;
                overflow: hidden;
            }

            .header {
                position: relative;
                width: 300px;
                height: 300px;
            }

            img {
                width: 100%;
                height: 100%;
            }

            .title {
                position: absolute;
                background: #202329;
                width: 100%;
                opacity: 0.8;
                bottom: 0;
                padding: 0.625rem;
            }

            .title h2 {
                color: #f5f5f5;
                font-size: 1.625rem;
                font-weight: 400;
                font-stretch: expanded;
                margin: 0px;
            }

            .title p {
                color: #bbbbbb;
                font-size: 0.875rem;
                margin: 0px;
            }

            .info {
                height: 100%;
                color: #5ded79;
                padding: 1.25rem;
                background: #333333;
            }

            .data {
                display: flex;
                justify-content: space-between;
                align-items: center;
                flex-wrap: nowrap;
                padding: 0.75rem 0px 0.375rem;
                border-bottom: 1px solid #444444;
            }

            .data span {
                font-size: 0.7rem;
                font-weight: 400;
                color: #9e9e9e;
                width: 50%;
            }

            .data p {
                width: 50%;
                font-size: 0.9rem;
                font-weight: 200;
                text-align: right;
                padding: 0px;
                margin: 0px;
            }
        </style>
    </head>
    <body>
        <h2>LitElement - Práctica 1</h2>
        <p>Utilizando este html como plantilla, transformarlo en los componentes lit-element que se consideren necesarios.</p>
        <p>Comenzar la práctica clonando el siguiente repositorio: https://github.com/PolymerLabs/lit-element-starter-js.git</p>
        <div class="container">
            <div class="header">
                <div class="image">
                <img src="https://images.amcnetworks.com/amc.com/wp-content/uploads/2015/04/cast_bb_700x1000_walter-white-lg.jpg">
                </div>
                <div class="title">
                <h2>Walter White</h2>
                <p>id: 1</p>
                </div>
            </div>
            <div class="info">
                <div class="data">
                    <span>Nickname</span>
                    <p>Heisenberg</p>
                </div>
                <div class="data">
                    <span>Birthday</span>
                    <p>09-07-1958</p>
                </div>
                <div class="data">
                    <span>Status</span>
                    <p>Presumed dead</p>
                </div>
                <div class="data">
                    <span>Ocupation</span>
                    <p>High School Chemistry Teacher, Meth King Pin</p>
                </div>
                <div class="data">
                    <span>Played by</span>
                    <p>Bryan Cranston</p>
                </div>
                <div class="data">
                    <span>Sesasons Apperance</span>
                    <p>1, 2, 3, 4, 5</p>
                </div>
            </div>
        </div>
    </body>
</html>